package com.gx.obe.step.appraise.enumeration;

import com.gx.obe.step.appraise.bean.Appraise;

/** 
 * @Description: 评价项目经理枚举
 * @author chenxw 
 */
public enum AppraiseManagerEnum {
	
	/**
	 * 守时情况
	 */
	PUNCTUAL_SITUATION("01", "守时情况", 20,
			"1.按时参加且无早退现象，满分；\r\n" + 
			"2.未在指定时间到达集合地点，迟到不超过一个小时的，扣5分；\r\n" + 
			"3.未在指定时间到达集合地点，迟到超过一个小时但不超过两个小时的，扣10分；\r\n" + 
			"4.迟到两个小时以上得0分；"),
	/**
	 * 招标代理服务能力
	 */
	PROXY_SERVICE_DISCIPLINE("02", "招标代理服务能力", 20,
			"1.根据评标过程专家反馈意见，招标文件编制质量不高，或未按照标准范本编制文件等造成评标工作未能顺利进行，一次扣5-10分；\r\n" + 
			"2.招标文件出现违反法律法规、违反集团公司制度的，扣10分；"),
	/**
	 * 协调沟通能力
	 */
	COORDINATION_DISCIPLINE("03", "协调沟通能力", 20,
			"1.评标环节衔接流畅，语言组织顺畅，信息传达明确，满分；\r\n" + 
			"2.必要环节不缺失，如有缺失，一项扣5分。\r\n" + 
			"3.是否存在发表违法、违规言论，如有此项得0分；"),
	/**
	 * 业务能力
	 */
	PROFESSIONAL_ABILITY("04", "业务能力", 20,
			"1.对《招投标法》及《实施条例》等国家行业、集团公司相关法律法规的熟悉掌握程度（酌情打分）；\r\n" + 
			"2.对所从事招标业务知识的掌握程度（酌情打分）；\r\n" + 
			"3.对招评标相关业务流程的熟练程度（酌情打分）。"),
	/**
	 * 职业操守
	 */
	OCCUPATION_ETHICS("05", "职业操守", 20,
			"1.有基本的职业操守，满分；\r\n" + 
			"2.评标期间谈论与评标内容无关事项影响项目正常评审的，扣5分；\r\n" + 
			"3.评标过程中，工作态度消极，影响评标工作进度的扣10分；\r\n" + 
			"4.未依法履行保密义务，向他人透露对投标文件的评审和比较、中标候选人的推荐等与评标有关的其他情况的，此项得0分。");
	
	private Appraise appraise;
	
	private AppraiseManagerEnum(String key, String name, int score, String rule) {
		appraise = new Appraise(key, name, score, rule, AppraiserEnum.EXPERT.getKey());
	}
	
	public Appraise getAppraise() {
		return appraise;
	}
	
}
