package com.gx.obe.step.appraise.enumeration;

import java.util.Map;
import java.util.Objects;

import com.gx.obe.util.utils.EnumUtils;
import com.gx.obe.util.utils.TerminalUtils;

/**
 * @Description: 评价人
 * @author chenxw
 */
public enum AppraiserEnum {
	EXPERT("00"), MANAGER("01");
	
	private String key;
	
	private static Map<String, AppraiserEnum> map = EnumUtils.toMap(values(), AppraiserEnum::getKey);
	
	private AppraiserEnum(String key) {
		this.key = key;
	}
	
	public String getKey() {
		return key;
	}
	
	public static AppraiserEnum getByKey(String key) {
		return map.get(key);
	}
	
	public static AppraiserEnum getByTerminal(TerminalUtils terminalType) {
		if (Objects.isNull(terminalType)) {
			return null;
		}
		switch (terminalType) {
			case TERMINAL_EVALUATION:
				return EXPERT;
			case TERMINAL_MANAGEMENT:
				return MANAGER;
			default:
				return null;
		}
	}
}